## kfilereplace 17.08.3

=== CMakeLists.txt ===
project(kfilereplace)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions( ${QT_QTDBUS_DEFINITIONS} ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

add_subdirectory( toolbar )
macro_optional_add_subdirectory(doc)

########### next target ###############

set(kfilereplacepart_PART_SRCS 
   kfilereplacepart.cpp 
   kfilereplaceview.cpp 
   kaddstringdlg.cpp 
   knewprojectdlg.cpp 
   koptionsdlg.cpp 
   kfilereplacelib.cpp 
   report.cpp 
   commandengine.cpp 
   configurationclasses.cpp )

qt4_add_dbus_adaptor( kfilereplacepart_PART_SRCS org.kde.kfilereplace.xml kfilereplacepart.h KFileReplacePart )


kde4_add_ui3_files(kfilereplacepart_PART_SRCS 
   kfilereplaceviewwdg.ui 
   kaddstringdlgs.ui 
   knewprojectdlgs.ui 
   koptionsdlgs.ui )

kde4_add_plugin(kfilereplacepart WITH_PREFIX ${kfilereplacepart_PART_SRCS})



target_link_libraries(kfilereplacepart  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS} )

install(TARGETS kfilereplacepart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kfilereplace_SRCS kfilereplace.cpp main.cpp )


kde4_add_executable(kfilereplace ${kfilereplace_SRCS})

target_link_libraries(kfilereplace  ${KDE4_KPARTS_LIBS} )

install(TARGETS kfilereplace  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES  kfilereplace.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kfilereplacepartui.rc  DESTINATION ${DATA_INSTALL_DIR}/kfilereplacepart)
install( FILES  kfilereplaceui.rc  DESTINATION ${DATA_INSTALL_DIR}/kfilereplace)
install( FILES  kfilereplacepart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES org.kde.kfilereplace.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

## kfilereplace 16.12.3

=== debian/changelog ===
kfilereplace (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Update copyright after split from kdewebdev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 16:55:34 +0100

kfilereplace (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Initial packaging after kfilereplace being split from kdewebdev

  [ Rik Mills ]
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:40 +0000

kdewebdev (4:16.04.3-1ubuntu1) yakkety; urgency=medium

  * Merge with debian, this drops the kdewebdev-dbg package which was depending
    on kde-runtime-dbg which is now gone from the Ubuntu archive.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 10 Oct 2016 11:02:05 +0200

kdewebdev (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Remove extra nepomuk-core-dev build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Aug 2016 07:15:23 +0200

kdewebdev (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:29 +0200

kdewebdev (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:18:55 -0700

kdewebdev (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:41:38 +0100

kdewebdev (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Update the metadata to point to the svn

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:01:15 +0200

kdewebdev (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:02 +0100

kdewebdev (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:23:07 +0100

kdewebdev (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:49:08 +0100

kdewebdev (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Bump Standards-Version to 3.9.6.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:07 +0200

kdewebdev (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:24:06 +0100

kdewebdev (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:42 +0100

kdewebdev (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:58:56 +0200

kdewebdev (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:00:11 -0700

kdewebdev (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:42 -0800

kdewebdev (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:21:31 +0100

kdewebdev (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:43:11 -0800

kdewebdev (4:14.11.95-0ubuntu1) vivd; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Drop nepomuk-core-dev from Build Depends

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 03:35:16 +0000

kdewebdev (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:05 -0700

kdewebdev (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.
  * Remove obsolete installgen file.
  * Point Homepage to http://www.kde.org, as kdewebdev.org has expired.
    (Closes: #758292)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:45:52 +0200

kdewebdev (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:09:53 +0200

kdewebdev (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: kfilereplace
Section: web
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.30~),
               kdepimlibs5-dev (>= 4:4.11),
               libboost-dev,
               libtidy-dev,
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilereplace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilereplace

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: batch search-and-replace component
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE web development module.

## kfilereplace 17.04.3

=== debian/changelog ===
kfilereplace (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev (>= 4:4.11),
                libboost-dev,
                libtidy-dev,

## kfilereplace 17.08.3

=== debian/changelog ===
kfilereplace (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               kdelibs5-dev (>= 4:4.14.38~),
                kdepimlibs5-dev (>= 4:4.11),
                libboost-dev,
                libtidy-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdewebdev-dbg (<= 4:15.08.3-1~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kfilereplace-([\d.]+).tar.xz
